import React from 'react';
import classNames from 'classnames';
var OnlineStatus = function OnlineStatus(_ref) {
  var value = _ref.value,
    getText = _ref.getText,
    className = _ref.className,
    dotClassName = _ref.dotClassName;
  return /*#__PURE__*/React.createElement("span", {
    className: className
  }, /*#__PURE__*/React.createElement("span", {
    className: classNames(dotClassName, {
      'is-online': value === 'online'
    })
  }), getText("pisell2.saas.device-planning.status.".concat(value)) || value);
};
export default OnlineStatus;